[Forgot Password]
Login  Register Subscribe

23631

 
 

127000

 
 

102010

 
 

909

 
 

81059

 
 

123

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML view JSON

CVE-2011-3874Date: (C)2012-01-27   (M)2018-02-19


Stack-based buffer overflow in libsysutils in Android 2.2.x through 2.2.2 and 2.3.x through 2.3.6 allows user-assisted remote attackers to execute arbitrary code via an application that calls the FrameworkListener::dispatchCommand method with the wrong number of arguments, as demonstrated by zergRush to trigger a use-after-free error.

CVSS V3 Severity:CVSS V2 Severity:
CVSS Score  : CVSS Score  : 9.3
Exploit Score: Exploit Score: 8.6
Impact Score : Impact Score : 10.0
 
CVSS V3 Metrics:CVSS V2 Metrics:
Attack Vector: Access Vector: NETWORK
Attack Complexity: Access Complexity: MEDIUM
Privileges Required: Authentication: NONE
User Interaction: Confidentiality: COMPLETE
Scope: Integrity: COMPLETE
Confidentiality: Availability: COMPLETE
Integrity:  
Availability:  
  





Reference:
http://www.openwall.com/lists/oss-security/2011/11/08/3
http://www.openwall.com/lists/oss-security/2011/11/08/4
http://www.openwall.com/lists/oss-security/2011/11/10/1
http://code.google.com/p/android/issues/detail?id=21681
https://github.com/revolutionary/zergRush/blob/master/zergRush.c

CPE    12
cpe:/o:google:android:2.3:rev1
cpe:/o:google:android:2.2:rev1
cpe:/o:google:android:2.2
cpe:/o:google:android:2.3
...
CWE    1
CWE-119
OVAL    1
oval:org.secpod.oval:def:6501

© 2013 SecPod Technologies